##### basic_serial_port::write_some (1 of 2 overloads)

Write some data to the serial port.

    template<
        typename ConstBufferSequence>
    std::size_t write_some(
        const ConstBufferSequence & buffers);

This function is used to write data to the serial port. The function call will block until one or more bytes of the data has been written successfully, or until an error occurs.

###### Parameters

buffers

  One or more data buffers to be written to the serial port.

###### Return Value

The number of bytes written.

###### Exceptions

asio::system_error

  Thrown on failure. An error code of `asio::error::eof` indicates that the connection was closed by the peer.

###### Remarks

The write_some operation may not transmit all of the data to the peer. Consider using the `write` function if you need to ensure that all data is written before the blocking operation completes.

###### Example

To write a single data buffer use the `buffer` function as follows:

    serial_port.write_some(asio::buffer(data, size));

See the `buffer` documentation for information on writing multiple buffers in one go, and how to use it with arrays, boost::array or std::vector.